#!/bin/bash

clear

echo 'Soyez sûr que le paquet openjdk-6-jre est installé ainsi que wine'
echo 
read -p 'Entrez le nom de dossier de votre mod: ' nom_dossier_mod
echo

#Reconstruction du .pak
java -jar mhtrans.jar --rebuild `pwd`/$nom_dossier_mod 6

#Renomme le fichier produit et vérifie ie sa taille
echo
read -p 'Entrez le numéro correspondant au monstre (Cf: Tableau): ' num_monstre
echo 
mv *.pak $num_monstre.pak

#Encodage du fichier
mv $num_monstre.pak $num_monstre.bin
mv $num_monstre.bin Encode/enc/
cd Encode/
wine enc.exe enc/$num_monstre.bin enc/$num_monstre.bin.enc
mv enc/$num_monstre.bin.enc ../Mod-Builder/
rm -r enc/
mkdir enc
cd ..

#Construction du mod
cd Mod-Builder/

if [ -f 5142.bin.enc ]; then  ./mod-builder 5142.bin.enc Rathian.mod 3678C800 
elif [ -f 5145.bin.enc ]; then  ./mod-builder 5145.bin.enc Rathalos.mod 3691E000 
elif [ -f 5150.bin.enc ]; then  ./mod-builder 5150.bin.enc Qurupeco.mod 36AE0800 
elif [ -f 5155.bin.enc ]; then  ./mod-builder 5155.bin.enc Gigginox.mod 36CBE800 
elif [ -f 5160.bin.enc ]; then  ./mod-builder 5160.bin.enc Barioth.mod 36E96800 
elif [ -f 5165.bin.enc ]; then  ./mod-builder 5165.bin.enc Diablos.mod 3706B800 
elif [ -f 5170.bin.enc ]; then  ./mod-builder 5170.bin.enc Deviljho.mod 37234000 
elif [ -f 5175.bin.enc ]; then  ./mod-builder 5175.bin.enc Barroth.mod 373E8800 
elif [ -f 5180.bin.enc ]; then  ./mod-builder 5180.bin.enc Urgaan.mod 37540000 
elif [ -f 5187.bin.enc ]; then  ./mod-builder 5187.bin.enc Jaggi.mod 376DF000 
elif [ -f 5194.bin.enc ]; then  ./mod-builder 5194.bin.enc Jaggia.mod 3777F000 
elif [ -f 5199.bin.enc ]; then  ./mod-builder 5199.bin.enc Grand_Jaggi.mod 37836000 
elif [ -f 5202.bin.enc ]; then  ./mod-builder 5202.bin.enc Baggi.mod 378E8000 
elif [ -f 5205.bin.enc ]; then  ./mod-builder 5205.bin.enc Grand_Baggi.mod 37962000 
elif [ -f 5208.bin.enc ]; then  ./mod-builder 5208.bin.enc Rathian_Or.mod 37A1D000 
elif [ -f 5213.bin.enc ]; then  ./mod-builder 5213.bin.enc Ludroth_Royal.mod 37C01800 
elif [ -f 5220.bin.enc ]; then  ./mod-builder 5220.bin.enc Ludroth.mod 37D9B800 
elif [ -f 5223.bin.enc ]; then  ./mod-builder 5223.bin.enc Rathalos_Argent.mod 37DF5000 
elif [ -f 5228.bin.enc ]; then  ./mod-builder 5228.bin.enc Agnaktor.mod 37FEF000 
elif [ -f 5231.bin.enc ]; then  ./mod-builder 5231.bin.enc Diablos_noir.mod 381A8000 
elif [ -f 5238.bin.enc ]; then  ./mod-builder 5238.bin.enc Uroktor.mod 3835A800 
elif [ -f 5245.bin.enc ]; then  ./mod-builder 5245.bin.enc Delex.mod 3841F000 
elif [ -f 5250.bin.enc ]; then  ./mod-builder 5250.bin.enc Tigrex_Noir.mod 38486000 
elif [ -f 5255.bin.enc ]; then  ./mod-builder 5255.bin.enc Alatreon.mod 38640800 
elif [ -f 5260.bin.enc ]; then  ./mod-builder 5260.bin.enc Jhen_Mohran.mod 38898000 
elif [ -f 5267.bin.enc ]; then  ./mod-builder 5267.bin.enc Giggi.mod 38AA6000 
elif [ -f 5274.bin.enc ]; then  ./mod-builder 5274.bin.enc Aptonoth.mod 38B19000 
elif [ -f 5277.bin.enc ]; then  ./mod-builder 5277.bin.enc Popo.mod 38B86000 
elif [ -f 5284.bin.enc ]; then  ./mod-builder 5284.bin.enc Rhenopolos.mod 38C24000 
elif [ -f 5291.bin.enc ]; then  ./mod-builder 5291.bin.enc Felyne.mod 38CC5000 
elif [ -f 5294.bin.enc ]; then  ./mod-builder 5294.bin.enc Melynx.mod 38D2F000 
elif [ -f 5299.bin.enc ]; then  ./mod-builder 5299.bin.enc Nargacuga_Vert.mod 38DC4000 
elif [ -f 5306.bin.enc ]; then  ./mod-builder 5306.bin.enc Altaroth.mod 38F53000 
elif [ -f 5313.bin.enc ]; then  ./mod-builder 5313.bin.enc Kelbi.mod 38FB0800 
elif [ -f 5320.bin.enc ]; then  ./mod-builder 5320.bin.enc Oeuf_Giggi.mod 39005800 
elif [ -f 5327.bin.enc ]; then  ./mod-builder 5327.bin.enc Bnahabra.mod 3904A000 
elif [ -f 5330.bin.enc ]; then  ./mod-builder 5330.bin.enc Bnahabra.mod 3906D800 
elif [ -f 5333.bin.enc ]; then  ./mod-builder 5333.bin.enc Bnahabra.mod 39091000 
elif [ -f 5336.bin.enc ]; then  ./mod-builder 5336.bin.enc Bnahabra.mod 390B4800 
elif [ -f 5341.bin.enc ]; then  ./mod-builder 5341.bin.enc Jinouga.mod 3913B000 
elif [ -f 5346.bin.enc ]; then  ./mod-builder 5346.bin.enc Amatsu_Magatsuchi.mod 3934F000 
elif [ -f 5351.bin.enc ]; then  ./mod-builder 5351.bin.enc Aoashira.mod 395BF000 
elif [ -f 5356.bin.enc ]; then  ./mod-builder 5356.bin.enc Urukususu.mod 39743800 
elif [ -f 5361.bin.enc ]; then  ./mod-builder 5361.bin.enc Ranguro.mod 39916800 
elif [ -f 5364.bin.enc ]; then  ./mod-builder 5364.bin.enc Grand_Froggi.mod 39AC1000 
elif [ -f 5369.bin.enc ]; then  ./mod-builder 5369.bin.enc Doboru.mod 39B9E000 
elif [ -f 5374.bin.enc ]; then  ./mod-builder 5374.bin.enc Hapurubokka.mod 39D8F800 
elif [ -f 5377.bin.enc ]; then  ./mod-builder 5377.bin.enc Froggi.mod 39F37000 
elif [ -f 5380.bin.enc ]; then  ./mod-builder 5380.bin.enc Zuposu.mod 39FA5000 
elif [ -f 5387.bin.enc ]; then  ./mod-builder 5387.bin.enc Gagua.mod 3A036800 
elif [ -f 5390.bin.enc ]; then  ./mod-builder 5390.bin.enc Qurupeco_Rouge.mod 3A08A000 
elif [ -f 5393.bin.enc ]; then  ./mod-builder 5393.bin.enc Gigginox_jaune.mod 3A242000 
elif [ -f 5396.bin.enc ]; then  ./mod-builder 5396.bin.enc Barioth_rouge.mod 3A3E6000 
elif [ -f 5399.bin.enc ]; then  ./mod-builder 5399.bin.enc Barroth_glace.mod 3A5AB000 
elif [ -f 5402.bin.enc ]; then  ./mod-builder 5402.bin.enc Uragaan_noir.mod 3A6C7800 
elif [ -f 5405.bin.enc ]; then  ./mod-builder 5405.bin.enc Ludroth_Royal_violet.mod 3A816800 
elif [ -f 5408.bin.enc ]; then  ./mod-builder 5408.bin.enc Agnaktor_glace.mod 3A989000 
elif [ -f 5411.bin.enc ]; then  ./mod-builder 5411.bin.enc Tigrex.mod 3AB53000 
elif [ -f 5414.bin.enc ]; then  ./mod-builder 5414.bin.enc Nargacuga.mod 3ACB2800 
elif [ -f 5419.bin.enc ]; then  ./mod-builder 5419.bin.enc Akantor.mod 3AE41800 
elif [ -f 5424.bin.enc ]; then  ./mod-builder 5424.bin.enc Ukanlos.mod 3AFBD800 
elif [ -f 5429.bin.enc ]; then  ./mod-builder 5429.bin.enc Bulldrome.mod 3B13C000 
elif [ -f 5436.bin.enc ]; then  ./mod-builder 5436.bin.enc Bullfango.mod 3B198000 
elif [ -f 5439.bin.enc ]; then  ./mod-builder 5439.bin.enc Anteka.mod 3B1D2800 
elif [ -f 5442.bin.enc ]; then  ./mod-builder 5442.bin.enc Felyne_transporteur.mod 3B21A000 
elif [ -f 5449.bin.enc ]; then  ./mod-builder 5449.bin.enc Chat_de_quete.mod 3B25F800 
elif [ -f 5456.bin.enc ]; then  ./mod-builder 5456.bin.enc Vieu_aux_legumes.mod 3B291000 
elif [ -f 5459.bin.enc ]; then  ./mod-builder 5459.bin.enc Zuposu.mod 3B2C4000 
elif [ -f 5466.bin.enc ]; then  ./mod-builder 5466.bin.enc Pierre.mod 3B349800 
elif [ -f 5469.bin.enc ]; then  ./mod-builder 5469.bin.enc Pierre_sable.mod 3B35E000 
elif [ -f 5472.bin.enc ]; then  ./mod-builder 5472.bin.enc Pierre_foret_inondee.mod 3B372800 
elif [ -f 5475.bin.enc ]; then  ./mod-builder 5475.bin.enc Pierre_toundra.mod 3B387000 
elif [ -f 5478.bin.enc ]; then  ./mod-builder 5478.bin.enc Pierre_volcan.mod 3B399800 
elif [ -f 5481.bin.enc ]; then  ./mod-builder 5481.bin.enc Pierre_montagne.mod 3B3AE000 
fi

rm $num_monstre.bin.enc

#Déplacement du .mod dans le dossier de départ
mv *.mod ../
cd ..

echo "Votre fichier $nom_dossier.mod est prêt"

